Release Candidate — the API is undergoing final validation before general availability, and minor changes may still occur.
Hellomateo API Documentation
Contacts

Delete Contact by Locator

DELETE
/v1/contacts/by

Provide exactly one contact locator:

  • external_id
  • secondary_external_id
  • email_address
  • sms_phone_number
  • whatsapp_phone_number
  • facebook_user_id
  • instagram_user_id
  • postal_address

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

external_id?string

Identifier assigned by an external system.

Length1 <= length
secondary_external_id?string

Secondary identifier assigned by an external system.

Length1 <= length
email_address?string

Filters resources by email address.

Match^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)*[a-zA-Z]{2,}))$
sms_phone_number?string

Filters resources by sms phone number.

Match^\+[1-9]\d{1,14}$
whatsapp_phone_number?string

Filters resources by whatsapp phone number.

Match^\+[1-9]\d{1,14}$
facebook_user_id?string

Unique identifier of the related facebook user.

Length1 <= length
instagram_user_id?string

Unique identifier of the related instagram user.

Length1 <= length
postal_address?string

Filters resources by postal address.

Length1 <= length

Response Body

curl -X DELETE "https://api.getmateo.com/v1/contacts/by"
Empty